CREATE OR REPLACE FUNCTION APURA_DATA_EMISSAO(
   P_NRSEQUMAPAPU    IN MAPAAPURAC.NRSEQUMAPAPU%TYPE,
   P_CDEMPRESA       IN MAPAAPURAC.CDEMPRESA%TYPE,
   P_CDIMPOSTO       IN MAPAAPURAC.CDIMPOSTO%TYPE,
   P_INSCRICAO       IN MAPAAPURAC.CDINSCESTA%TYPE,
   P_DTFINAL         IN MAPAAPURAC.DTFIMPERIODO%TYPE,
   P_DTINICIAL       IN MAPAAPURAC.DTINIPERIODO%TYPE,
   P_BOIMPOSAPUR     IN BOOLEAN,
   P_IDORGARRECADNFE IN IMPOSTONFE.IDORGARRECADNFE%TYPE,
   P_DTININFFORPER   IN PARAMFISCAL.DTININFFORPER%TYPE,
   P_IDNFFORAPERAPU  IN IMPOSTO.IDNFFORAPERAPU%TYPE) RETURN VARCHAR
AS
   V_IDAPURACAO    VARCHAR2(01);
   V_NFFORAPERIODO VARCHAR2(01);
BEGIN
   
   IF P_BOIMPOSAPUR THEN
      V_IDAPURACAO := 'T';

      UPDATE IMPOSTONF
         SET NRSEQMAPOIMP = P_NRSEQUMAPAPU
       WHERE NRSEQMAPOIMP IS NULL
         AND (CDFILIAL, NRLANCTONF, CDIMPOSTO) IN (SELECT IP.CDFILIAL, IP.NRLANCTONF, IP.CDIMPOSTO
                                                     FROM NOTAFISCAL N, IMPOSTONF IP
                                                    WHERE N.CDEMPRESA     = P_CDEMPRESA
                                                      AND N.IDSTATUS      IN ('A','E')
                                                      AND IP.CDFILIAL     = N.CDFILIAL
                                                      AND IP.NRLANCTONF   = N.NRLANCTONF
                                                      AND ((IP.CDIMPOSTO  IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                               WHERE CDIMPOSTONFE = P_CDIMPOSTO))  OR
                                                           (IP.CDIMPOSTO  IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                               WHERE CDIMPOSAPUR  IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                                                       WHERE CDIMPOSTONFE = P_CDIMPOSTO))))
                                                      AND (((P_INSCRICAO IS NULL) AND (P_IDORGARRECADNFE = 'F' OR P_IDORGARRECADNFE IS NULL)) OR
                                                            (CDINSCESTA   = P_INSCRICAO AND P_IDORGARRECADNFE = 'E') OR
                                                            (CDINSCMUNI   = P_INSCRICAO AND P_IDORGARRECADNFE = 'M'))
                                                      AND (((P_IDNFFORAPERAPU='N') AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL)) OR
                                                           ((P_IDNFFORAPERAPU='S') AND (IP.DTREFMAPAPU IS NULL) AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL)) OR
                                                           ((P_IDNFFORAPERAPU='S') AND (IP.DTREFMAPAPU BETWEEN P_DTINICIAL AND P_DTFINAL) AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL))));
   ELSE
      V_IDAPURACAO := 'G';

      UPDATE IMPOSTONF
         SET NRSEQUMAPAPU = P_NRSEQUMAPAPU
       WHERE NRSEQUMAPAPU IS NULL
         AND (CDFILIAL, NRLANCTONF, CDIMPOSTO) IN (SELECT IP.CDFILIAL, IP.NRLANCTONF, IP.CDIMPOSTO
                                                     FROM NOTAFISCAL N, IMPOSTONF IP
                                                    WHERE N.CDEMPRESA     = P_CDEMPRESA
                                                      AND N.IDSTATUS      IN ('A','E')
                                                      AND IP.CDFILIAL     = N.CDFILIAL
                                                      AND IP.NRLANCTONF   = N.NRLANCTONF
                                                      AND ((IP.CDIMPOSTO IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                              WHERE CDIMPOSTONFE = P_CDIMPOSTO)) OR
                                                           (IP.CDIMPOSTO IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                              WHERE CDIMPOSAPUR IN (SELECT CDIMPOSTO FROM IMPOSTO
                                                                                                     WHERE CDIMPOSTONFE = P_CDIMPOSTO))))
                                                      AND (((P_INSCRICAO IS NULL) AND (P_IDORGARRECADNFE = 'F' OR P_IDORGARRECADNFE IS NULL)) OR
                                                            (CDINSCESTA = P_INSCRICAO AND P_IDORGARRECADNFE = 'E') OR
                                                            (CDINSCMUNI = P_INSCRICAO AND P_IDORGARRECADNFE = 'M'))
                                                      AND (((P_IDNFFORAPERAPU='N') AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL)) OR
                                                           ((P_IDNFFORAPERAPU='S') AND (IP.DTREFMAPAPU IS NULL) AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL)) OR
                                                           ((P_IDNFFORAPERAPU='S') AND (IP.DTREFMAPAPU BETWEEN P_DTINICIAL AND P_DTFINAL) AND (DTEMISSAO BETWEEN P_DTININFFORPER AND P_DTFINAL))));
   END IF;

   /******** Documentos Fora do Perodo ********/
   V_NFFORAPERIODO := 'N';
   BEGIN
      SELECT MAX('S') AS NFFORAPERIODO
        INTO V_NFFORAPERIODO
        FROM NOTAFISCAL NF, IMPOSTONF IP
       WHERE ((IP.NRSEQUMAPAPU = P_NRSEQUMAPAPU) OR
              (IP.NRSEQMAPOIMP = P_NRSEQUMAPAPU))
         AND IP.CDFILIAL   = NF.CDFILIAL
         AND IP.NRLANCTONF = NF.NRLANCTONF
         AND NF.DTEMISSAO BETWEEN P_DTININFFORPER AND (P_DTINICIAL-1);
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_NFFORAPERIODO := 'N';
   END;

   RETURN(V_IDAPURACAO || V_NFFORAPERIODO);
END;